> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shortext.ny-corp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Manage contact knowledge



## OpenAPI

````yaml /api-reference/openapi.json post /contact/knowledge/add
openapi: 3.1.0
info:
  title: Shortext API
  description: This is my API
  version: '1.0'
servers:
  - url: https://shortext.ny-corp.io/api
  - url: https://whatsapp-gateway.test/api
security: []
tags:
  - name: Agents
    description: Agents
  - name: Business - Manager
    description: Business - Manager
  - name: Messages
    description: Messages
  - name: Tickets
    description: Tickets
  - name: Knowledge
    description: Knowledge
  - name: health
    description: health
paths:
  /contact/knowledge/add:
    post:
      tags:
        - Knowledge
      summary: Manage contact knowledge
      operationId: manageContactKnowledge
      requestBody:
        content:
          application/json:
            schema:
              description: >-
                Add contact knowledge when ever you want to provide to an agent
                specific knowledge periodically base on your CRM
              required:
                - content
                - agent
                - contact
              properties:
                content:
                  description: >-
                    The content of the knowledge base you want to create for
                    this contact
                  type: string
                  example: This contact has a negative balance of 10000 USD
                agent:
                  description: The agent allow to access that knowledge base
                  type: string
                  example: AGI-XLWY6P
                contact:
                  required:
                    - identifier
                    - profile
                    - channel
                  properties:
                    identifier:
                      description: For channel whatsapp -> E.164 format without leading +
                      type: string
                      example: '1234567890'
                    channel:
                      type: string
                      enum:
                        - whatsapp
                        - mail
                    profile:
                      description: Use code value from status to filter tickets by status
                      required:
                        - lastname
                      properties:
                        lastname:
                          type: string
                        firstname:
                          type: string
                        email:
                          type: string
                      type: object
                  type: object
              type: object
      responses:
        '200':
          description: The data
          content:
            application/json:
              schema: {}
              example:
                - created_at: '2026-10-03T00:04:48.000000Z'
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: Basic Auth
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.